Добавление необходимый расширений/библиотек php

Обсуждение установки и настройки поддерживаемых вебсерверов, а также работы с ними.
erachkasov
Сообщения: 3
Зарегистрирован: Чт дек 02, 2021 9:54 pm

Добавление необходимый расширений/библиотек php

Сообщение erachkasov » Чт дек 02, 2021 10:00 pm

Здравствуйте!

Подскажите как добавить необходимые мне расширения/библиотеки php, которые отсутствуют по умолчанию?

Необходимы:
pngquant
pngquant
optipng
pngcrush
jpegoptim
jpegtran

Прошу прописать пошагово, спасибо!

Аватара пользователя
sbury
Сообщения: 1375
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Добавление необходимый расширений/библиотек php

Сообщение sbury » Пн дек 06, 2021 8:21 am

Дополнительные расширения вы можете установить через PECL - (PHP Extension Community Library). Используйте соответствующей версии PECL к требуемой вам версии пхп. Например,
/usr/bin/php74/bin/pecl install ...

Если вы пытаетесь использовать неофициальное расширения для пхп, уточняйте как его установить у разработчика данного модуля.

erachkasov
Сообщения: 3
Зарегистрирован: Чт дек 02, 2021 9:54 pm

Re: Добавление необходимый расширений/библиотек php

Сообщение erachkasov » Вт дек 07, 2021 8:08 am

В общем разобрался самостоятельно, для тех кто столкнется с такой же проблемой:

Сначала нужно добавить репозитарий и уже после этого добавлять расширения.
Сделал по этой инструкции: https://losst.ru/szhatie-png-v-linux и все получилось

Аватара пользователя
KyKyIIIKuH
Сообщения: 270
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: Добавление необходимый расширений/библиотек php

Сообщение KyKyIIIKuH » Вт дек 07, 2021 8:15 am

erachkasov писал(а):
Вт дек 07, 2021 8:08 am
В общем разобрался самостоятельно, для тех кто столкнется с такой же проблемой:

Сначала нужно добавить репозитарий и уже после этого добавлять расширения.
Сделал по этой инструкции: https://losst.ru/szhatie-png-v-linux и все получилось
epel репу добавили?
у вас могут быть потом проблемы из-за неё
Alma Linux 9.4 - KVM
Текущая версия: 1.0965.20240529
5.14.0-427.18.1.el9_4.x86_64

erachkasov
Сообщения: 3
Зарегистрирован: Чт дек 02, 2021 9:54 pm

Re: Добавление необходимый расширений/библиотек php

Сообщение erachkasov » Ср дек 08, 2021 6:43 pm

KyKyIIIKuH писал(а):
Вт дек 07, 2021 8:15 am
erachkasov писал(а):
Вт дек 07, 2021 8:08 am
В общем разобрался самостоятельно, для тех кто столкнется с такой же проблемой:

Сначала нужно добавить репозитарий и уже после этого добавлять расширения.
Сделал по этой инструкции: https://losst.ru/szhatie-png-v-linux и все получилось
epel репу добавили?
у вас могут быть потом проблемы из-за неё
Да, через нее.
Какие могут быть проблемы?
Как можно её удалить, необходимые расширения я установил, онам мне больше не нужна)

Cramac
Сообщения: 47
Зарегистрирован: Вс апр 30, 2023 6:12 am

Re: Добавление необходимый расширений/библиотек php

Сообщение Cramac » Чт май 25, 2023 3:32 pm

sbury писал(а):
Пн дек 06, 2021 8:21 am
Дополнительные расширения вы можете установить через PECL - (PHP Extension Community Library). Используйте соответствующей версии PECL к требуемой вам версии пхп. Например,
/usr/bin/php74/bin/pecl install ...

Если вы пытаетесь использовать неофициальное расширения для пхп, уточняйте как его установить у разработчика данного модуля.
Подскажите, хочу поставить ssh

Код: Выделить всё

 /usr/bin/php74/bin/pecl install -a ssh2
но в итоге выдало:

Код: Выделить всё

Build process completed successfully
Installing '/usr/bin/php74/lib/php/modules/ssh2.so'
install ok: channel://pecl.php.net/ssh2-1.4
configuration option "php_ini" is not set to php.ini location
You should add "extension=ssh2.so" to php.ini
Illegal instruction (core dumped)
добавил в /etc/php74w/php.d/файлик с "extension=ssh2.so", перезагрузил fpm, в phpinfo показывает что есть ssh2, но при попытке выполнить код:
$connection = ssh2_connect("91.х.х.251", "22");

показывает ошибку

Код: Выделить всё

Service Unavailable
The server is temporarily unable to service your request due to maintenance downtime or capacity problems. Please try again later.

Аватара пользователя
sbury
Сообщения: 1375
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Добавление необходимый расширений/библиотек php

Сообщение sbury » Пт май 26, 2023 6:06 am

Cramac писал(а):
Чт май 25, 2023 3:32 pm
sbury писал(а):
Пн дек 06, 2021 8:21 am
Дополнительные расширения вы можете установить через PECL - (PHP Extension Community Library). Используйте соответствующей версии PECL к требуемой вам версии пхп. Например,
/usr/bin/php74/bin/pecl install ...

Если вы пытаетесь использовать неофициальное расширения для пхп, уточняйте как его установить у разработчика данного модуля.
Подскажите, хочу поставить ssh

Код: Выделить всё

 /usr/bin/php74/bin/pecl install -a ssh2
но в итоге выдало:

Код: Выделить всё

Build process completed successfully
Installing '/usr/bin/php74/lib/php/modules/ssh2.so'
install ok: channel://pecl.php.net/ssh2-1.4
configuration option "php_ini" is not set to php.ini location
You should add "extension=ssh2.so" to php.ini
Illegal instruction (core dumped)
добавил в /etc/php74w/php.d/файлик с "extension=ssh2.so", перезагрузил fpm, в phpinfo показывает что есть ssh2, но при попытке выполнить код:
$connection = ssh2_connect("91.х.х.251", "22");

показывает ошибку

Код: Выделить всё

Service Unavailable
The server is temporarily unable to service your request due to maintenance downtime or capacity problems. Please try again later.
Он притутствует в панели изначально

Код: Выделить всё

yum install php74w-ssh2

Cramac
Сообщения: 47
Зарегистрирован: Вс апр 30, 2023 6:12 am

Re: Добавление необходимый расширений/библиотек php

Сообщение Cramac » Пт май 26, 2023 9:18 am

да, спасибо, сразу не заметил. Странно что выдает 503 ошибку

Аватара пользователя
sbury
Сообщения: 1375
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Добавление необходимый расширений/библиотек php

Сообщение sbury » Пт май 26, 2023 10:34 am

пересоберите в панели /index.php?do=hostacc&subaction=jail
Jail Skeleton и потом сам Jail для юреза

Cramac
Сообщения: 47
Зарегистрирован: Вс апр 30, 2023 6:12 am

Re: Добавление необходимый расширений/библиотек php

Сообщение Cramac » Пт май 26, 2023 10:42 am

не помогло

Список пакетов доступных в jail

Код: Выделить всё

/usr/bin/stat
/usr/bin/convert ; /usr/bin/md5sum
/usr/bin/sftp
/usr/libexec/openssh/sftp-server
/usr/bin/ffmpeg
/usr/bin/wget
/usr/local/bin/composer
/usr/libexec/git-core
/usr/bin/git
если запускаю в консоли этот php, выдает такое:

Код: Выделить всё

Fatal: no entropy gathering module detected
Aborted (core dumped)
Если выполнить от рута, то все норм работает

Ответить